Loading...
Searching...
No Matches
reduction_step Class Reference

makes on each red_object in a region a single_step More...

`#include <tgb_internal.h>`

## Public Member Functions

virtual void | reduce (red_object *r, int l, int u)
| we assume that all occurring red_objects have same lm, and all occ. lm's in r[l...u] are the same, only reductor does not occur
virtual | ~reduction_step ()

## Data Fields

slimgb_alg * | c
int | reduction_id

## Detailed Description

makes on each red_object in a region a single_step

Definition at line 331 of file tgb_internal.h.

## Constructor & Destructor Documentation

## ~reduction_step()

reduction_step::~reduction_step | ( |  | ) |

virtual

Definition at line 4933 of file tgb.cc.

{
}

## Member Function Documentation

## reduce()

void reduction_step::reduce | ( | red_object * | r,
|  | int | l,
|  | int | u )

virtual

we assume that all occurring red_objects have same lm, and all occ. lm's in r[l...u] are the same, only reductor does not occur

Reimplemented in simple_reducer.

Definition at line 4893 of file tgb.cc.

{
}

## Field Documentation

## c

slimgb_alg* reduction_step::c

Definition at line 339 of file tgb_internal.h.

## reduction_id

int reduction_step::reduction_id

Definition at line 340 of file tgb_internal.h.

The documentation for this class was generated from the following files:

- kernel/GBEngine/tgb_internal.h
- kernel/GBEngine/tgb.cc